Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.accessibility.TaggedPDF Class Reference
Inheritance diagram for foxit.addon.accessibility.TaggedPDF:

## Public Member Functions
| TaggedPDF (PDFDoc doc)
| Constructor. More...
| TaggedPDF (TaggedPDF other)
| Constructor, with another tagged PDF object. More...
string | GetFigureAlternateText (int figure_index)
| Get the alternate text of the figure. More...
int | GetFigureCount ()
| Get the count of figures in tagged document, excluding the decorative figures. More...
int | GetFigurePageIndex (int figure_index)
| Get the figure page index by the figure index. More...
RectF | GetFigureRect (int figure_index)
| Get the rectangle of figure. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | SetAsDecorativeFigure (int figure_index)
| Decorate the figure.The decorative figure can not set alternate text. More...
void | SetCallback (TaggedPDFCallback callback)
| Set a callback object for tagged PDF. More...
void | SetFigureAlternateText (int figure_index, string alternate_text)
| Set figure alternate text. More...
Progressive | StartTagDocument (PauseCallback pause)
| Start to auto tag the given PDF document with specified tagged settings. More...

## Detailed Description

This class represents settings for a tagged PDF document.The tagged PDF means that only tagging information for PDF structure here. Before using any class or methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function common.Library.Initialize with a key including "Accessibility" module.

See also
  foxit.common.Library

## Constructor & Destructor Documentation

## ◆ TaggedPDF() [1/2]

foxit.addon.accessibility.TaggedPDF.TaggedPDF | ( | PDFDoc | doc | ) |
| inline

Constructor.

Parameters

  [in] | doc | A valid PDF document object to be tagged.

This constructor is to construct a tagged PDF object with default settings.

## ◆ TaggedPDF() [2/2]

foxit.addon.accessibility.TaggedPDF.TaggedPDF | ( | TaggedPDF | other | ) |
| inline

Constructor, with another tagged PDF object.

Parameters

  [in] | other | Another tagged PDF object.

## Member Function Documentation

## ◆ GetFigureAlternateText()

string foxit.addon.accessibility.TaggedPDF.GetFigureAlternateText | ( | int | figure_index | ) |
| inline

Get the alternate text of the figure.

The alternate text is the human-readable text, the PDF documents can be enhanced by providing alternate text for images, formulas, or other items that do not translate naturally into text. The function is only used for a tagged PDF document. Please call function pdf.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function TaggedPDF.GetFigureCount .

Returns
  The alternative descriptions text.

## ◆ GetFigureCount()

int foxit.addon.accessibility.TaggedPDF.GetFigureCount | ( |  | ) |
| inline

Get the count of figures in tagged document, excluding the decorative figures.

The function is only used for a tagged PDF document. Please call function pdf.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Returns
  The count of figures.

## ◆ GetFigurePageIndex()

int foxit.addon.accessibility.TaggedPDF.GetFigurePageIndex | ( | int | figure_index | ) |
| inline

Get the figure page index by the figure index.

The function is only used for a tagged PDF document. Please call function pdf.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function TaggedPDF.GetFigureCount .

Returns
  The page index. Valid value would starts from 0. If there is any error, this function will return -1.

## ◆ GetFigureRect()

RectF foxit.addon.accessibility.TaggedPDF.GetFigureRect | ( | int | figure_index | ) |
| inline

Get the rectangle of figure.

The function is only used for a tagged PDF document. Please call function pdf.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function TaggedPDF.GetFigureCount .

Returns
  The figure rectangle.If there is any error, this function will return an empty rectangle.

## ◆ IsEmpty()

bool foxit.addon.accessibility.TaggedPDF.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetAsDecorativeFigure()

bool foxit.addon.accessibility.TaggedPDF.SetAsDecorativeFigure | ( | int | figure_index | ) |
| inline

Decorate the figure.The decorative figure can not set alternate text.

The function is only used for a tagged PDF document. Please call function pdf.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function TaggedPDF.GetFigureCount .

Returns
  true means decorate figure successed, while false means not.

## ◆ SetCallback()

void foxit.addon.accessibility.TaggedPDF.SetCallback | ( | TaggedPDFCallback | callback | ) |
| inline

Set a callback object for tagged PDF.

If this function is not called, that means no callback will be used.

Parameters

  [in] | callback | A TaggedPDFCallback object which is implemented by user. User can change some information/data during tagged PDF document by this callback. Please ensure that the callback object keeps valid until the life-cycle of current tagged PDF object ends. If this is null, that means to use default information/data.

Returns
  None.

## ◆ SetFigureAlternateText()

void foxit.addon.accessibility.TaggedPDF.SetFigureAlternateText | ( | int | figure_index,
|  | string | alternate_text
| ) |  |
| inline

Set figure alternate text.

The alternate text is the human-readable text, the PDF documents can be enhanced by providing alternate text for images, formulas, or other items that do not translate naturally into text. The function is only used for a tagged PDF document. Please call function pdf.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function TaggedPDF.GetFigureCount .
  [in] | alternate_text | The alternative descriptions text.

Returns
  None.

## ◆ StartTagDocument()

Progressive foxit.addon.accessibility.TaggedPDF.StartTagDocument | ( | PauseCallback | pause | ) |
| inline

Start to auto tag the given PDF document with specified tagged settings.

If user wants to get specific tag results when tagging document process, please refer to function TaggedPDF.SetCallback about callback function TaggedPDFCallback.Report .

Parameters

  [in] | pause | Pause object which decides if the auto tagging process needs to be paused. This can be null which means not to pause during the tagging process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function common.Progressive.Continue to continue the progress until the progress is finished.